body {
    font-family: Arial, sans-serif;
    margin: 20px;
    padding: 0;
    background-color: #f9f9f9;
}

h1 {
    font-size: 2.5em;
    color: #333;
    border-bottom: 1px solid #000;
    padding-bottom: 10px;
}

.menu-link {
    text-decoration: none;
    font-weight: bold;
    color: #007BFF;
    font-size: 1.2em;
}

.menu-link:hover {
    color: #0056b3;
}

.dropdown {
    position: relative;
    display: inline-block;
    margin-bottom: 20px;
}

.dropdown span {
    cursor: pointer;
    font-size: 100%;
    color: #333;
    padding: 10px;
    background-color: #f1f1f1;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.dropdown:hover span {
    background-color: #ddd;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
    color: black;
}

.Meny .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;  
    display: block;
    border-bottom: 1px solid #ddd;
}

.dropdown-content a:hover {
    background-color: grey; /* Fixad stavning */
    color: black;
}

.dropdown:hover .dropdown-content {
    display: block;
}

p {
    margin-top: 20px;
    font-size: 1.1em;
    line-height: 1.6;
    color: #333;
}

img {
    border: 1px solid black;
    width: 400px; 
    height: auto;
    transition: transform 0.3s ease;
    margin: 10px;
}

.Meny {
    background-color: #333;
    padding: 20px;
    text-align: left;
}

.Meny a {
    color: white;
    margin: 0 15px;
    text-decoration: none;
    font-size: 16px;
    padding: 10px 15px;
    cursor: pointer;
    background-color: transparent;
    border: none;
    display: inline-block;
}

.Meny a:hover {
    background-color: #555;
    transform: scale(1.1); 
    border-radius: 5px;
}

/* Bilder i grid-layout */
.Bilder-container {
    display: grid; 
    grid-template-columns: repeat(3, 1fr); 
    gap: 20px; 
    margin: 20px auto;
    width: 90%;
}

.Bilder {
    text-align: center;
    border: 1px solid #ddd;
    padding: 10px;
    background-color: #f4f4f4;
    transition: transform 0.3s ease;
}

.Bilder img {
    border: 2px solid black;
    width: 90%; 
    transition: transform 0.3s ease;
    margin: 10px;
}

.Bilder img:hover {
    transform: scale(1.1);
}

.Bilder:hover {
    transform: scale(1.05);
}

/*  mindre skärmar */
@media (max-width: 768px) {
    .Bilder-container {
        grid-template-columns: repeat(2, 1fr); 
    }
}

@media (max-width: 480px) {
    .Bilder-container {
        grid-template-columns: 1fr;
    }
}

@media only screen and (max-width: 600px) {
    .image-container {
        float: left;
        width: 100%;
        height: 300px;
        text-align: center;
    }
}
